Skip to main content
GET
/
tokenization
/
templates
TypeScript
const response: Promise<FireblocksResponse<TemplatesPaginatedResponse>> = fireblocks.contractTemplates.getContractTemplates(contractTemplatesApiGetContractTemplatesRequest);
{
  "data": [
    {
      "id": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
      "name": "My Contract",
      "description": "an ERC20 implementation",
      "isPublic": true,
      "attributes": {
        "useCases": [
          "Stablecoin",
          "CBDC"
        ],
        "standards": [
          "ERC-20",
          "ERC-1400"
        ],
        "auditor": {
          "name": "MyAuditor",
          "imageURL": "https://my-images.com/my-image.jpg",
          "link": "https://my-auditor.com/my-audit-report"
        }
      },
      "canDeploy": true,
      "owner": "b70701f4-d7b1-4795-a8ee-b09cdb5b850d",
      "vendor": {
        "id": "b70701f4-d7b1-4795-a8ee-b09cdb5b4453",
        "name": "Fireblocks"
      },
      "type": "FUNGIBLE_TOKEN"
    }
  ],
  "next": "eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
number
default:100

Items per page (max 100)

Required range: 1 <= x <= 100
offset
number
default:0

Paging offset

Required range: x >= 0
pageCursor
string

Page cursor to get the next page

pageSize
number

Number of items per page, requesting more then max will return max items

Required range: 1 <= x <= 100
type
enum<string>

The type of the contract templates you wish to retrieve. Can accept one type, more or none

Available options:
FUNGIBLE_TOKEN,
NON_FUNGIBLE_TOKEN,
TOKEN_UTILITY
initializationPhase
enum<string>

For standalone contracts use ON_DEPLOYMENT and for contracts that are behind proxies use POST_DEPLOYMENT

Available options:
ON_DEPLOYMENT,
POST_DEPLOYMENT

Response

List of contract templates was returned successfully

data
object[]
required

The data of the current page

next
string | null

The ID of the next page

Example:

"eJ0eXAiOiJKV1QiLCJhbGcOiJIUzI1NiJ9"